import request from '@/utils/request'

// 查询费用结算申请列表
export function getSltAgreementInfo(query) {
  return request({
    url: '/material/sltAgreementInfo/getSltAgreementInfo',
    method: 'get',
    params: query
  })
}


// 查询费用结算申请详情
export function getSltInfo(params) {
  return request({
    url: '/material/sltAgreementInfo/getSltInfo',
    method: 'post',
    data: params
  })
}

// 费用结算申请提交
export function submitFee(params) {
  return request({
    url: '/material/sltAgreementInfo/submitFee',
    method: 'post',
    data: params
  })
}

// 查询费用结算审核列表
export function getSltExam(query) {
  return request({
    url: '/material/sltAgreementInfo/getSltExam',
    method: 'get',
    params: query
  })
}


// 查询费用结算审核列表
export function getSltExamInfo(query) {
  return request({
    url: '/material/sltAgreementInfo/getSltExamInfo',
    method: 'get',
    params: query
  })
}

// 费用结算审核-同意拒绝
export function settlementReview(query) {
  return request({
    url: '/material/sltAgreementInfo/settlementReview',
    method: 'get',
    params: query
  })
}
/**
 * 7.29
 */

/** 完工结算查询 */
export const getComSellQueryApi = (params) => {
  return request.post('/material/sltAgreementInfo/getSltInfo', params)
}
/** 编辑后保存接口 */
export const editSaveApi = (params) => {
  return request.post('/material/sltAgreementInfo/updateTrimDay', params)
}
/** 确认结算接口 01和03费用承担方单独结算接口*/
export const submitFeeBearApi = (params) => {
  return request.post('/material/sltAgreementInfo/submitFeeBear', params)
}
/** 获取月结记录接口*/
export const getMonthRecordApi = (params) => {
  return request.post('/material//sltAgreementInfo/getSltInfoMonth', params)
}
















